## FAQs

While not everyone asks these questions, if you have one, chances are you'll find the answer below.

### Q: How is Linkora different from browser bookmarks or apps like Pocket, Raindrop, etc.? Why does it exist?
**A:** Linkora exists because I needed something that functions and looks **exactly** like I wanted, and I didn't find one, so I built it for myself. Somehow, it's getting discovered. The differences between Linkora and other services probably only make sense to me—like, I’m not a fan of the tags that Pocket has and some other stuff. You see where this is going? Yeah, exactly. The differences might only make sense to me.

---

### Q: Is this project in active development? When will new updates be out?
**A:** Yes, Linkora is in active development. This is my primary project these days, and new releases will be made when any important issue needs to be fixed ASAP. Generally, it may take 1-n weeks to release a new update that actually fixes important stuff rather than adding some random features. So yeah, there's no fixed schedule on releases.

---

### Q: What's the difference between `app-github-release.apk` and `app-fdroid-release.apk`?
**A:** GitHub (also referred to as `General`) includes Google services (Linkora uses Firebase Crashlytics to collect crash logs so it can be fixed ASAP without you knowing what led to the app crash) while the F-Droid build excludes them. AND, `app-fdroid-release.apk` is NOT the official F-Droid build—this is built from my end.

---

### Q: Why doesn't the "XYZ" feature exist?
**A:** Because I didn’t need it 😅😅. On a serious note, you can always open an issue and describe what should be implemented and how it makes sense, and I'll work on that when I get time.

---

### Q: What will be included in the next releases?
**A:** Primarily, releases contain the stuff that gets raised in issues, so that’s the first priority for what gets worked on. Sometimes, I find things I need to add (just for me), like the Panels feature. These aren’t usually the primary priority but still get included in new releases.

---

### Q: How to support development?
**A:** Star this repo, raise issues, or if you can code, open PRs (check the [Kanban](https://github.com/users/sakethpathike/projects/6) and only work on things I'm not working on, because it’d be pointless if we both are working on the same thing) to fix any of the issues.
